<template>
  <div
    class="bg-white px-4 py-3 flex items-center justify-between border-t border-gray-200 sm:px-6"
  >
    <div class="hidden sm:flex-1 sm:flex sm:items-center sm:justify-between">
      <div>
        <p class="text-sm text-gray-700">
          Showing
          <span class="font-medium">{{ pagination.from }}</span>
          to
          <span class="font-medium">{{ pagination.to }}</span>
          of
          <span class="font-medium">{{ pagination.total }}</span>
          results
        </p>
      </div>
      <div class="relative z-0 inline-flex rounded-md shadow-sm -space-x-px">
        <Component
          :is="link.url ? 'Link' : 'span'"
          v-for="link in pagination.links"
          :key="link.id"
          :href="link.url"
          v-html="link.label"
          class="bg-white border-gray-300 text-gray-500 hover:bg-gray-50 relative inline-flex items-center px-4 py-2 border text-sm font-medium"
          :class="{
            'rounded-l-md': link.label.includes('Previous'),
            'rounded-r-md': link.label.includes('Next'),
            'z-10 bg-indigo-50 border-indigo-500 text-indigo-600': link.active,
          }"
        />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    pagination: Object,
  },
}
</script>
